insert into gp_test.store (
code_service, name_service, factory, warehouse, type_warehouse, num_plane,name_plane, category, class_score,
date_receipt, mean_price, count_product, base_store, all_cost, material, batch, product_elem, material_name,
date_plane, date_receipt_mol, type_receipt, group_party, name_group_material, responsible, responsible_fact,
line_product, name_line_activity, class_material, class_name, type_reserve, finance_type, date_save, type_score,
main_account, weight_score, type_material, status_spp, currency, price, price_more_yers, type_contractor,
be, number_party, name_contractor, name_sm, number_contract, type_ter, date_contract, period_warrenty,
free_reserve, group_sint, name_group_sint, date_max, story_spp, order_client, count_order_client, type_order_client,
name_type_order_client, order_price, last_order_price, okpd2, tnved, internal_number_rnpt, external_number_rnpt,
country_product, store_key
)
select *, md5(concat(code_service, name_service, material, batch))::uuid store_key
  from tmp.store
on conflict(store_key) do update set 
factory = excluded.factory,
warehouse = excluded.warehouse,
type_warehouse = excluded.type_warehouse,
num_plane = excluded.num_plane,
name_plane = excluded.name_plane,
category = excluded.category,
class_score = excluded.class_score,
date_receipt = excluded.date_receipt,
mean_price = excluded.mean_price,
count_product = excluded.count_product,
base_store = excluded.base_store,
all_cost = excluded.all_cost,
product_elem = excluded.product_elem,
material_name = excluded.material_name,
date_plane = excluded.date_plane,
date_receipt_mol = excluded.date_receipt_mol,
type_receipt = excluded.type_receipt,
group_party = excluded.group_party,
name_group_material = excluded.name_group_material,
responsible = excluded.responsible,
responsible_fact = excluded.responsible_fact,
line_product = excluded.line_product,
name_line_activity = excluded.name_line_activity,
class_material = excluded.class_material,
class_name = excluded.class_name,
type_reserve = excluded.type_reserve,
finance_type = excluded.finance_type,
date_save = excluded.date_save,
type_score = excluded.type_score,
main_account = excluded.main_account,
weight_score = excluded.weight_score,
type_material = excluded.type_material,
status_spp = excluded.status_spp,
currency = excluded.currency,
price = excluded.price,
price_more_yers = excluded.price_more_yers,
type_contractor = excluded.type_contractor,
be = excluded.be,
number_party = excluded.number_party,
name_contractor = excluded.name_contractor,
name_sm = excluded.name_sm,
number_contract = excluded.number_contract,
type_ter = excluded.type_ter,
date_contract = excluded.date_contract,
period_warrenty = excluded.period_warrenty,
free_reserve = excluded.free_reserve,
group_sint = excluded.group_sint,
name_group_sint = excluded.name_group_sint,
date_max = excluded.date_max,
story_spp = excluded.story_spp,
order_client = excluded.order_client,
count_order_client = excluded.count_order_client,
type_order_client = excluded.type_order_client,
name_type_order_client = excluded.name_type_order_client,
order_price = excluded.order_price,
last_order_price = excluded.last_order_price,
okpd2 = excluded.okpd2,
tnved = excluded.tnved,
internal_number_rnpt = excluded.internal_number_rnpt,
external_number_rnpt = excluded.external_number_rnpt,
country_product = excluded.country_product;

truncate tmp.store;